Skip to main content

Base URL

All API requests should be made to:
https://api.getchatads.com

Authentication

All API endpoints require authentication via the x-api-key header.
curl -H "x-api-key: YOUR_API_KEY" \
  https://api.getchatads.com/v1/chatads/messages
Get your API key from app.getchatads.com/api/keys.

Request Format

All requests should:
  • Use Content-Type: application/json
  • Include the x-api-key header
  • Send data in JSON format

Example Request

curl -X POST 'https://api.getchatads.com/v1/chatads/messages' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY' \
  -d '{
    "message": "What are the best noise-cancelling headphones?"
  }'

Response Format

All responses follow this structure. Check error == null to determine success.
{
  "data": {
    "status": "filled",
    "offers": [
      {
        "link_text": "Bose QuietComfort Ultra earbuds",
        "url": "https://amazon.com/dp/B0CD2FSRDD/?tag=yourtag-20",
        "product": {
          "title": "Bose QuietComfort Ultra Bluetooth Earbuds...",
          "stars": 3.8,
          "reviews": 9765
        }
      }
    ],
    "requested": 1,
    "returned": 1,
    "billed": true
  },
  "error": null,
  "meta": {
    "request_id": "0f04eb2e-820a-460a-8427-ccc1a6233b6a",
    "timestamp": "2026-03-11T13:57:42.074Z",
    "version": "1.0.0",
    "usage": {
      "monthly_requests": 13,
      "daily_requests": 3,
      "daily_limit": 10000,
      "is_free_tier": false
    }
  }
}

Endpoints

POST /v1/chatads/messages

Analyze a message for affiliate opportunities

Error Handling

See Error Handling for details on error codes and responses.

Rate Limits

See Rate Limits for information about request quotas.

Response Times

Our API is designed for low-latency inline processing, with response times optimized for different use cases.

Fast

~75msExtremely fast, but may not always extract best keyword and/or find an offer. Use extraction_mode=fast to enable.

Standard

~200msThorough analysis of input text + multi-source affiliate URL discovery for higher match rates.